For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Merchant Initiated Transaction

POST
https://api-sandbox.coinflow.cash/api/checkout/merchant-initiated-transaction
POST
/api/checkout/merchant-initiated-transaction
$curl -X POST https://api-sandbox.coinflow.cash/api/checkout/merchant-initiated-transaction \
> -H "x-coinflow-auth-user-id: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "subtotal": {
> "cents": 2599,
> "currency": "USD"
> },
> "originalPaymentId": "pay_3fa85f64-5717-4562-b3fc-2c963f66afa6"
>}'
1{
2 "paymentId": "pay_7b9e1f2d-4c3a-4d2e-9f1a-8b7e2c9d5f3a"
3}
Processes a Merchant Initated Transaction using a saved card from a previous Customer Initiated Transaction (CIT) authorized for this purpose. This endpoint can only be used if the customer has once before authorized their card to be charged on your platform. An example flow would be a usage based billing paradigm. A customer would add their card and perform a zero authorization transaction which would then allow this card to be charged in subsequent merchant initiated transactions.
Was this page helpful?
Previous

Rain Checkout

Next
Built with

Processes a Merchant Initated Transaction using a saved card from a previous Customer Initiated Transaction (CIT) authorized for this purpose.

This endpoint can only be used if the customer has once before authorized their card to be charged on your platform. An example flow would be a usage based billing paradigm. A customer would add their card and perform a zero authorization transaction which would then allow this card to be charged in subsequent merchant initiated transactions.

Authentication

x-coinflow-auth-user-idstring
The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-user-idstring
The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
MerchantInitiatedStandardTransactionArgsobjectRequired
OR
MerchantInitiatedSubscriptionTransactionArgsobjectRequired

Response

Ok
paymentIdstring
The ID of the payment that was created.

Errors

403
Forbidden Error
410
Gone Error
429
Too Many Requests Error

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key